## visad.data.fits
Class TourWriter

    java.lang.Object
      visad.data.fits.Tourist
          visad.data.fits.TourWriter

public class TourWriter
extends Tourist

Field Summary

Fields inherited from class visad.data.fits.Tourist
`replace`

Constructor Summary
`TourWriter(boolean replace, Fits fits)`

Method Summary
`boolean` `visit(Function func, int depth)`
`boolean` `visit(Scalar scalar, int depth)`
`boolean` `visit(Set set, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TourWriter

    public TourWriter(boolean replace,
                      Fits fits)

Method Detail

### visit

    public boolean visit(Function func,
                         int depth)
                  throws RemoteException,
                         VisADException

  Overrides:
    `visit` in class `Tourist`
  Throws:
    `RemoteException`
    `VisADException`

### visit

    public boolean visit(Scalar scalar,
                         int depth)
                  throws VisADException

  Overrides:
    `visit` in class `Tourist`
  Throws:
    `VisADException`

### visit

    public boolean visit(Set set,
                         int depth)
                  throws VisADException

  Overrides:
    `visit` in class `Tourist`
  Throws:
    `VisADException`